=== datapath/linux/Makefile ===
ifeq ($(KERNELRELEASE),)
# We're being called directly by running make in this directory.
include Makefile.main
else
# We're being included by the Linux kernel build system
include Kbuild
endif
