=== drivers/scsi/Makefile ===
obj-$(CONFIG_SCSI_SRP_ATTRS)	+= scsi_transport_srp.o
