=== debian/changelog ===
openvswitch (2.17.8-1.2410068) unstable; urgency=low
   [ Open vSwitch team ]
   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Tue, 27 Jun 2023 14:08:41 +0200

openvswitch (2.17.7-1) unstable; urgency=low
   [ Open vSwitch team ]
   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Tue, 27 Jun 2023 14:08:41 +0200

openvswitch (2.17.6-1) unstable; urgency=low
   [ Open vSwitch team ]
   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Thu, 06 Apr 2023 15:09:54 +0200

openvswitch (2.17.5-1) unstable; urgency=low
   [ Open vSwitch team ]
   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Tue, 20 Dec 2022 20:06:56 +0100

openvswitch (2.17.4-1) unstable; urgency=low
   [ Open vSwitch team ]
   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Thu, 01 Dec 2022 13:16:55 +0100

openvswitch (2.17.3-1) unstable; urgency=low
   [ Open vSwitch team ]
   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Fri, 07 Oct 2022 13:12:51 +0200

openvswitch (2.17.2-1) unstable; urgency=low
   [ Open vSwitch team ]
   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Wed, 15 Jun 2022 12:04:07 +0200

openvswitch (2.17.1-1) unstable; urgency=low
   [ Open vSwitch team ]
   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Fri, 08 Apr 2022 14:57:49 +0200

openvswitch (2.17.0-1) unstable; urgency=low

   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Thu, 17 Feb 2022 19:15:21 +0100

openvswitch (2.16.0-1) unstable; urgency=low

   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Mon, 16 Aug 2021 22:08:13 +0200

openvswitch (2.15.0-1) unstable; urgency=low

   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Mon, 15 Feb 2021 17:35:33 +0100

openvswitch (2.14.0-1) unstable; urgency=low

   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Mon, 17 Aug 2020 14:17:17 +0200

openvswitch (2.13.0-1) unstable; urgency=low
   [ Open vSwitch team]
   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Fri, 14 Feb 2020 12:00:00 -0700

openvswitch (2.12.0-1) unstable; urgency=low
   [ Open vSwitch team ]
   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Tue, 03 Sep 2019 14:56:53 -0700

openvswitch (2.11.0-1) unstable; urgency=low

   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Tue, 19 Feb 2019 21:42:33 -0700

openvswitch (2.10.0-1) unstable; urgency=low

   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Sat, 18 Aug 2018 10:38:23 -0700

openvswitch (2.9.0-1) unstable; urgency=low

   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Mon, 19 Feb 2018 11:03:12 -0700

openvswitch (2.8.0-1) unstable; urgency=medium

   [ Open vSwitch team ]
   * Use debhelper for DEB_VERSION_UPSTREAM.  Thanks to Clint Byrum
     <spamaps@debian.org> for this improvement.
   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Thu, 31 Aug 2017 09:32:16 -0700

openvswitch (2.7.0-1) unstable; urgency=low
   [ Open vSwitch team ]
   * New upstream version
   - Utilities and daemons that support SSL now allow protocols and
     ciphers to be configured with --ssl-protocols and --ssl-ciphers.
   - OVN:
     * QoS is now implemented via egress shaping rather than ingress policing.
     * DSCP marking is now supported, via the new northbound QoS table.
     * IPAM now supports fixed MAC addresses.
     * Support for source IP address based routing.
     * ovn-trace:
       - New --ovs option to also print OpenFlow flows.
       - put_dhcp_opts and put_dhcp_optsv6 actions may now be traced.
     * Support for managing SSL and remote connection configuration in
       northbound and southbound databases.
     * TCP connections to northbound and southbound databases are no
       longer enabled by default and must be explicitly configured.
       See documentation for ovn-sbctl/ovn-nbctl "set-connection"
       command or the ovn-ctl "--db-sb-create-insecure-remote" and
       "--db-nb-create-insecure-remote" command-line options for
       information regarding remote connection configuration.
     * New appctl "inject-pkt" command in ovn-controller that allows
       packets to be injected into the connected OVS instance.
     * Distributed logical routers may now be connected directly to
       logical switches with localnet ports, by specifying a
       "redirect-chassis" on the distributed gateway port of the
       logical router.  NAT rules may be specified directly on the
       distributed logical router, and are handled either centrally on
       the "redirect-chassis", or in many cases are handled locally on
       the hypervisor where the corresponding logical port resides.
       Gratuitous ARP for NAT addresses on a distributed logical
       router is not yet supported, but will be added in a future
       version.
   - Fixed regression in table stats maintenance introduced in OVS
     2.3.0, wherein the number of OpenFlow table hits and misses was
     not accurate.
   - OpenFlow:
     * OFPT_PACKET_OUT messages are now supported in bundles.
     * A new "selection_method=dp_hash" type for OpenFlow select group
       bucket selection that uses the datapath computed 5-tuple hash
       without making datapath flows match the 5-tuple fields, which
       is useful for more efficient load balancing, for example.  This
       uses the Netronome extension to OpenFlow 1.5+ that allows
       control over the OpenFlow select groups selection method.  See
       "selection_method" and related options in ovs-ofctl(8) for
       details.
     * The "sample" action now supports "ingress" and "egress" options.
     * The "ct" action now supports the TFTP ALG where support is available.
     * New actions "clone" and "ct_clear".
   - ovs-ofctl:
     * 'bundle' command now supports packet-out messages.

