=== net/sunrpc/xprtrdma/debian/changelog ===
mlnx-nfsrdma (0.0-0) unstable; urgency=low

  * Initial release.

 -- Alaa Hleihel <alaa@mellanox.com>  Mon, 15 Aug 2016 13:30:53 +0200
